Skip to main content
`Ctrl`+`K`

# PetscConj

Returns the complex conjugate of a `PetscScalar` value; the identity when `PetscScalar` is real

## Synopsis

    #include <petscmath.h>
    PetscScalar PetscConj(PetscScalar a)

Not Collective; No Fortran Support

## Input Parameter

. a - the value

## See Also

`PetscReal`, `PetscScalar`, `PetscComplex`, `PetscConjComplex()`

## Level

beginner

## Location

include/petscmath.h

## Examples

src/ksp/ksp/tutorials/ex13.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages